Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 55013 - XFree86 fails to probe monitor on Compaq Armada E500/1000
XFree86 fails to probe monitor on Compaq Armada E500/1000
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-24 06:44 EDT by Anders Hermansen
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-20 12:56:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from X server (20.67 KB, text/plain)
2001-10-24 06:45 EDT, Anders Hermansen
no flags Details
XFree86 configuration file (3.72 KB, text/plain)
2001-10-24 06:46 EDT, Anders Hermansen
no flags Details

  None (edit)
Description Anders Hermansen 2001-10-24 06:44:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
The installer and X can not probe my monitor on my Laptop.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Installing RedHat Linux 7.2
2. Press "Test configuration" under installation or start the X server 
after installation
	

Actual Results:  Under installation:
The "Test configuration" in the installer does not work.

After installation:
Starting X does not work.

Expected Results:  Under installation:
The X server should start and give me the usual question if I am happy or 
not with the resultion.

After installation:
The X server should start.

Additional info:

The X server starts fine without any configuration under a normal 
installation of RedHat 7.1

The videocard is: ATI Rage Mobility P/M AGP 2x

The output of the failing start of X server is attached.
The output of the X configuration file is attached.
Comment 1 Anders Hermansen 2001-10-24 06:45:11 EDT
Created attachment 34863 [details]
Output from X server
Comment 2 Anders Hermansen 2001-10-24 06:46:13 EDT
Created attachment 34864 [details]
XFree86 configuration file
Comment 3 Mike A. Harris 2001-10-29 21:44:59 EST
Try running Xconfigurator and reconfiguring.  Sometimes anaconda
gets something wrong, and running Xconfigurator fixes it.

Does it work after running Xconfigurator?
Comment 4 Anders Hermansen 2001-10-30 02:24:14 EST
1) Starting Xconfigurator
2) Clicking OK
3) Info from Xconfigurator:

PCI probing found a:
PCI Entry: ATI|Rage Mobility P/M AGP 2x
X Server: None
XFree4 driver: ati (default)

4) Clicking OK
5) It does not find my monitor so I have to choose.
I chosse "custom"
6) Next window is information. Clicking OK.
7) Monitor Setup
I choose "Standard VGA, 640x480", this really should work.
8) I select vericalt sync rate of 50-70 Hz
9) Screen config. I choose "Probe"
10) Information. Clicking OK to start probe
11) The screen blinks
12) Information that the probe failed. Clicking OK.
13) Xconfigurator asks the monitor questions again, I'm answering the same
14) Information. (It going to test the configuration).
15) Information that the test failed.

This is a relatively new computer which I think that anaconda/Xconfiguration 
should be able to find monitor information itself.

FYI: I have tried various other options to Xconfigurator.
Comment 5 Anders Hermansen 2001-10-30 02:25:41 EST
As mentioned before everything worked fine with RedHat Linux 7.1, the problem 
came around with RedHat Linux 7.2
Comment 6 Anders Hermansen 2001-11-08 09:14:03 EST
I can fix the error by commenting out the following lines in the XFree 
configuration file (Monitor section):

HorizSync
VertRefresh

This bug should maybe be moved to Xconfigurator or anaconda?
Comment 7 Mike A. Harris 2003-04-20 12:56:40 EDT
Whatever this problem is/was, it probably isn't still relevant in our
latest release, so I'm closing this out.  If there are similar problems
in Red Hat Linux 9, please open a new bug report against redhat-config-xfree86
which is our new X config tool.  Xconfigurator is now obsolete and no longer
being maintained.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.